
CoCoA-5 - Bug #132

BringIn should allow reduction modulo p

17 Apr 2012 21:10 - John Abbott

Status: Closed Start date: 17 Apr 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 2.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.25 hour

Description

Currently BringIn does not allow one to move from char 0 to char non-zero.

Use QQ[x];

f := x^2+1;

Use ZZ/(5)[x];

BringIn(f);  --> gives error

Moreover the error message is misleading.

Related issues:

Related to CoCoA-5 - Bug #100: BringIn should map only the indets in its arg New 07 Mar 2012

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

History

#1 - 23 Jan 2013 12:32 - Anna Maria Bigatti

- Category set to CoCoA-4 function to be added

#2 - 31 Mar 2014 11:26 - John Abbott

Even worse: BringIn fails to construct the hom from ZZ/(11)[x,y,z] to ZZ/(11)[x,y,z],Lex

This is embarassing!

Ahhhh! Perhaps the problem was that I created ZZ/(11) twice, and currently they are not regarded as identical.

#3 - 01 Apr 2014 13:21 - John Abbott

- Status changed from New to In Progress

The example given in the C5 online manual fails (because it uses reduction mod p).

#4 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#5 - 09 Apr 2014 14:56 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 22 Jul 2014 09:19 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 50
now works in some cases, e.g. the one in the description ;-)

More precisely it works if the coefficient ring (of the object to move) is a polynomial ring with coefficients in ZZ or QQ.

A bit of a workaround, but that's what BringIn is by its very own nature.

In general it is not guaranteed to work on more complicated ring structures, but in that case I would expect such a user would define a proper

RINGHOM.

#7 - 04 Sep 2014 12:05 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Closing even though it only partly resolves the problems with BringIn.  I'll create a new, more precise issue.
